Package org.globus.ftp.exception

# Class DataChannelException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.globus.ftp.exception.FTPException
org.globus.ftp.exception.DataChannelException

All Implemented Interfaces:
  `Serializable`

public class DataChannelException extends FTPException
Indicates data channel problems. Thrown by local server at layer 2.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`BAD_SERVER_MODE`
`protected String`
`customMessage`
`static final int`
`UNDEFINED_SERVER_MODE`

### Fields inherited from class org.globus.ftp.exception.FTPException

`cause, code, UNSPECIFIED`

## Constructor Summary

Constructors
Constructor
Description
`DataChannelException(int code)`
`DataChannelException(int code, String message)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getCodeExplanation(int code)`

### Methods inherited from class org.globus.ftp.exception.FTPException

`getCode, getCustomMessage, getMessage, getRootCause, printStackTrace, printStackTrace, printStackTrace, setCode, setCustomMessage, setRootCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### UNDEFINED_SERVER_MODE

public static final int UNDEFINED_SERVER_MODE

See Also:
  - Constant Field Values

### BAD_SERVER_MODE

public static final int BAD_SERVER_MODE

See Also:
  - Constant Field Values

### customMessage

protected String customMessage

## Constructor Details

### DataChannelException

public DataChannelException(int code, String message)

### DataChannelException

public DataChannelException(int code)

## Method Details

### getCodeExplanation

public String getCodeExplanation(int code)

Overrides:
  `getCodeExplanation` in class `FTPException`